#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineError" "\0"
  /*  4781 */ "GPUPipelineLayout" "\0"
  /*  4799 */ "GPUQuerySet" "\0"
  /*  4811 */ "GPUQueue" "\0"
  /*  4820 */ "GPURenderBundle" "\0"
  /*  4836 */ "GPURenderBundleEncoder" "\0"
  /*  4859 */ "GPURenderPassEncoder" "\0"
  /*  4880 */ "GPURenderPipeline" "\0"
  /*  4898 */ "GPUSampler" "\0"
  /*  4909 */ "GPUShaderModule" "\0"
  /*  4925 */ "GPUShaderStage" "\0"
  /*  4940 */ "GPUSupportedFeatures" "\0"
  /*  4961 */ "GPUSupportedLimits" "\0"
  /*  4980 */ "GPUTexture" "\0"
  /*  4991 */ "GPUTextureUsage" "\0"
  /*  5007 */ "GPUTextureView" "\0"
  /*  5022 */ "GPUUncapturedErrorEvent" "\0"
  /*  5046 */ "GPUValidationError" "\0"
  /*  5065 */ "GainNode" "\0"
  /*  5074 */ "Gamepad" "\0"
  /*  5082 */ "GamepadAxisMoveEvent" "\0"
  /*  5103 */ "GamepadButton" "\0"
  /*  5117 */ "GamepadButtonEvent" "\0"
  /*  5136 */ "GamepadEvent" "\0"
  /*  5149 */ "GamepadHapticActuator" "\0"
  /*  5171 */ "GamepadLightIndicator" "\0"
  /*  5193 */ "GamepadPose" "\0"
  /*  5205 */ "GamepadServiceTest" "\0"
  /*  5224 */ "GamepadTouch" "\0"
  /*  5237 */ "Geolocation" "\0"
  /*  5249 */ "GeolocationCoordinates" "\0"
  /*  5272 */ "GeolocationPosition" "\0"
  /*  5292 */ "GeolocationPositionError" "\0"
  /*  5317 */ "GetUserMediaRequest" "\0"
  /*  5337 */ "GleanBoolean" "\0"
  /*  5350 */ "GleanCategory" "\0"
  /*  5364 */ "GleanCounter" "\0"
  /*  5377 */ "GleanCustomDistribution" "\0"
  /*  5401 */ "GleanDatetime" "\0"
  /*  5415 */ "GleanDenominator" "\0"
  /*  5432 */ "GleanEvent" "\0"
  /*  5443 */ "GleanImpl" "\0"
  /*  5453 */ "GleanLabeled" "\0"
  /*  5466 */ "GleanMemoryDistribution" "\0"
  /*  5490 */ "GleanMetric" "\0"
  /*  5502 */ "GleanNumerator" "\0"
  /*  5517 */ "GleanObject" "\0"
  /*  5529 */ "GleanPingsImpl" "\0"
  /*  5544 */ "GleanQuantity" "\0"
  /*  5558 */ "GleanRate" "\0"
  /*  5568 */ "GleanString" "\0"
  /*  5580 */ "GleanStringList" "\0"
  /*  5596 */ "GleanText" "\0"
  /*  5606 */ "GleanTimespan" "\0"
  /*  5620 */ "GleanTimingDistribution" "\0"
  /*  5644 */ "GleanUrl" "\0"
  /*  5653 */ "GleanUuid" "\0"
  /*  5663 */ "Grid" "\0"
  /*  5668 */ "GridArea" "\0"
  /*  5677 */ "GridDimension" "\0"
  /*  5691 */ "GridLine" "\0"
  /*  5700 */ "GridLines" "\0"
  /*  5710 */ "GridTrack" "\0"
  /*  5720 */ "GridTracks" "\0"
  /*  5731 */ "HTMLAllCollection" "\0"
  /*  5749 */ "HTMLAnchorElement" "\0"
  /*  5767 */ "HTMLAreaElement" "\0"
  /*  5783 */ "HTMLAudioElement" "\0"
  /*  5800 */ "HTMLBRElement" "\0"
  /*  5814 */ "HTMLBaseElement" "\0"
  /*  5830 */ "HTMLBodyElement" "\0"
  /*  5846 */ "HTMLButtonElement" "\0"
  /*  5864 */ "HTMLCanvasElement" "\0"
  /*  5882 */ "HTMLCollection" "\0"
  /*  5897 */ "HTMLDListElement" "\0"
  /*  5914 */ "HTMLDataElement" "\0"
  /*  5930 */ "HTMLDataListElement" "\0"
  /*  5950 */ "HTMLDetailsElement" "\0"
  /*  5969 */ "HTMLDialogElement" "\0"
  /*  5987 */ "HTMLDirectoryElement" "\0"
  /*  6008 */ "HTMLDivElement" "\0"
  /*  6023 */ "HTMLDocument" "\0"
  /*  6036 */ "HTMLElement" "\0"
  /*  6048 */ "HTMLEmbedElement" "\0"
  /*  6065 */ "HTMLFieldSetElement" "\0"
  /*  6085 */ "HTMLFontElement" "\0"
  /*  6101 */ "HTMLFormControlsCollection" "\0"
  /*  6128 */ "HTMLFormElement" "\0"
  /*  6144 */ "HTMLFrameElement" "\0"
  /*  6161 */ "HTMLFrameSetElement" "\0"
  /*  6181 */ "HTMLHRElement" "\0"
  /*  6195 */ "HTMLHeadElement" "\0"
  /*  6211 */ "HTMLHeadingElement" "\0"
  /*  6230 */ "HTMLHtmlElement" "\0"
  /*  6246 */ "HTMLIFrameElement" "\0"
  /*  6264 */ "HTMLImageElement" "\0"
  /*  6281 */ "HTMLInputElement" "\0"
  /*  6298 */ "HTMLLIElement" "\0"
  /*  6312 */ "HTMLLabelElement" "\0"
  /*  6329 */ "HTMLLegendElement" "\0"
  /*  6347 */ "HTMLLinkElement" "\0"
  /*  6363 */ "HTMLMapElement" "\0"
  /*  6378 */ "HTMLMarqueeElement" "\0"
  /*  6397 */ "HTMLMediaElement" "\0"
  /*  6414 */ "HTMLMenuElement" "\0"
  /*  6430 */ "HTMLMetaElement" "\0"
  /*  6446 */ "HTMLMeterElement" "\0"
  /*  6463 */ "HTMLModElement" "\0"
  /*  6478 */ "HTMLOListElement" "\0"
  /*  6495 */ "HTMLObjectElement" "\0"
  /*  6513 */ "HTMLOptGroupElement" "\0"
  /*  6533 */ "HTMLOptionElement" "\0"
  /*  6551 */ "HTMLOptionsCollection" "\0"
  /*  6573 */ "HTMLOutputElement" "\0"
  /*  6591 */ "HTMLParagraphElement" "\0"
  /*  6612 */ "HTMLParamElement" "\0"
  /*  6629 */ "HTMLPictureElement" "\0"
  /*  6648 */ "HTMLPreElement" "\0"
  /*  6663 */ "HTMLProgressElement" "\0"
  /*  6683 */ "HTMLQuoteElement" "\0"
  /*  6700 */ "HTMLScriptElement" "\0"
  /*  6718 */ "HTMLSelectElement" "\0"
  /*  6736 */ "HTMLSlotElement" "\0"
  /*  6752 */ "HTMLSourceElement" "\0"
  /*  6770 */ "HTMLSpanElement" "\0"
  /*  6786 */ "HTMLStyleElement" "\0"
  /*  6803 */ "HTMLTableCaptionElement" "\0"
  /*  6827 */ "HTMLTableCellElement" "\0"
  /*  6848 */ "HTMLTableColElement" "\0"
  /*  6868 */ "HTMLTableElement" "\0"
  /*  6885 */ "HTMLTableRowElement" "\0"
  /*  6905 */ "HTMLTableSectionElement" "\0"
  /*  6929 */ "HTMLTemplateElement" "\0"
  /*  6949 */ "HTMLTextAreaElement" "\0"
  /*  6969 */ "HTMLTimeElement" "\0"
  /*  6985 */ "HTMLTitleElement" "\0"
  /*  7002 */ "HTMLTrackElement" "\0"
  /*  7019 */ "HTMLUListElement" "\0"
  /*  7036 */ "HTMLUnknownElement" "\0"
  /*  7055 */ "HTMLVideoElement" "\0"
  /*  7072 */ "HashChangeEvent" "\0"
  /*  7088 */ "Headers" "\0"
  /*  7096 */ "Headers Iterator" "\0"
  /*  7113 */ "HeapSnapshot" "\0"
  /*  7126 */ "Highlight" "\0"
  /*  7136 */ "HighlightRegistry" "\0"
  /*  7154 */ "History" "\0"
  /*  7162 */ "IDBCursor" "\0"
  /*  7172 */ "IDBCursorWithValue" "\0"
  /*  7191 */ "IDBDatabase" "\0"
  /*  7203 */ "IDBFactory" "\0"
  /*  7214 */ "IDBIndex" "\0"
  /*  7223 */ "IDBKeyRange" "\0"
  /*  7235 */ "IDBObjectStore" "\0"
  /*  7250 */ "IDBOpenDBRequest" "\0"
  /*  7267 */ "IDBRequest" "\0"
  /*  7278 */ "IDBTransaction" "\0"
  /*  7293 */ "IDBVersionChangeEvent" "\0"
  /*  7315 */ "IIRFilterNode" "\0"
  /*  7329 */ "IOUtils" "\0"
  /*  7337 */ "IdentityCredential" "\0"
  /*  7356 */ "IdleDeadline" "\0"
  /*  7369 */ "Image" "\0"
  /*  7375 */ "ImageBitmap" "\0"
  /*  7387 */ "ImageBitmapRenderingContext" "\0"
  /*  7415 */ "ImageCapture" "\0"
  /*  7428 */ "ImageCaptureError" "\0"
  /*  7446 */ "ImageCaptureErrorEvent" "\0"
  /*  7469 */ "ImageData" "\0"
  /*  7479 */ "ImageDecoder" "\0"
  /*  7492 */ "ImageDocument" "\0"
  /*  7506 */ "ImageTrack" "\0"
  /*  7517 */ "ImageTrackList" "\0"
  /*  7532 */ "InputEvent" "\0"
  /*  7543 */ "InspectorCSSParser" "\0"
  /*  7562 */ "InspectorFontFace" "\0"
  /*  7580 */ "InspectorUtils" "\0"
  /*  7595 */ "InstallTriggerImpl" "\0"
  /*  7614 */ "IntersectionObserver" "\0"
  /*  7635 */ "IntersectionObserverEntry" "\0"
  /*  7661 */ "IntlUtils" "\0"
  /*  7671 */ "InvokeEvent" "\0"
  /*  7683 */ "JSProcessActorChild" "\0"
  /*  7703 */ "JSProcessActorParent" "\0"
  /*  7724 */ "JSWindowActorChild" "\0"
  /*  7743 */ "JSWindowActorParent" "\0"
  /*  7763 */ "KeyEvent" "\0"
  /*  7772 */ "KeyboardEvent" "\0"
  /*  7786 */ "KeyframeEffect" "\0"
  /*  7801 */ "L10nFileSource" "\0"
  /*  7816 */ "L10nOverlays" "\0"
  /*  7829 */ "L10nRegistry" "\0"
  /*  7842 */ "LargestContentfulPaint" "\0"
  /*  7865 */ "LegacyMozTCPSocket" "\0"
  /*  7884 */ "Localization" "\0"
  /*  7897 */ "Location" "\0"
  /*  7906 */ "Lock" "\0"
  /*  7911 */ "LockManager" "\0"
  /*  7923 */ "MIDIAccess" "\0"
  /*  7934 */ "MIDIConnectionEvent" "\0"
  /*  7954 */ "MIDIInput" "\0"
  /*  7964 */ "MIDIInputMap" "\0"
  /*  7977 */ "MIDIMessageEvent" "\0"
  /*  7994 */ "MIDIOutput" "\0"
  /*  8005 */ "MIDIOutputMap" "\0"
  /*  8019 */ "MIDIPort" "\0"
  /*  8028 */ "MLS" "\0"
  /*  8032 */ "MLSGroupView" "\0"
  /*  8045 */ "MOZ_debug" "\0"
  /*  8055 */ "MatchGlob" "\0"
  /*  8065 */ "MatchPattern" "\0"
  /*  8078 */ "MatchPatternSet" "\0"
  /*  8094 */ "MathMLElement" "\0"
  /*  8108 */ "MediaCapabilities" "\0"
  /*  8126 */ "MediaControlService" "\0"
  /*  8146 */ "MediaController" "\0"
  /*  8162 */ "MediaDeviceInfo" "\0"
  /*  8178 */ "MediaDevices" "\0"
  /*  8191 */ "MediaElementAudioSourceNode" "\0"
  /*  8219 */ "MediaEncryptedEvent" "\0"
  /*  8239 */ "MediaError" "\0"
  /*  8250 */ "MediaKeyError" "\0"
  /*  8264 */ "MediaKeyMessageEvent" "\0"
  /*  8285 */ "MediaKeySession" "\0"
  /*  8301 */ "MediaKeyStatusMap" "\0"
  /*  8319 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8346 */ "MediaKeySystemAccess" "\0"
  /*  8367 */ "MediaKeys" "\0"
  /*  8377 */ "MediaList" "\0"
  /*  8387 */ "MediaMetadata" "\0"
  /*  8401 */ "MediaQueryList" "\0"
  /*  8416 */ "MediaQueryListEvent" "\0"
  /*  8436 */ "MediaRecorder" "\0"
  /*  8450 */ "MediaRecorderErrorEvent" "\0"
  /*  8474 */ "MediaSession" "\0"
  /*  8487 */ "MediaSource" "\0"
  /*  8499 */ "MediaStream" "\0"
  /*  8511 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8543 */ "MediaStreamAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamError" "\0"
  /*  8587 */ "MediaStreamEvent" "\0"
  /*  8604 */ "MediaStreamTrack" "\0"
  /*  8621 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8653 */ "MediaStreamTrackEvent" "\0"
  /*  8675 */ "MerchantValidationEvent" "\0"
  /*  8699 */ "MessageBroadcaster" "\0"
  /*  8718 */ "MessageChannel" "\0"
  /*  8733 */ "MessageEvent" "\0"
  /*  8746 */ "MessageListenerManager" "\0"
  /*  8769 */ "MessagePort" "\0"
  /*  8781 */ "MessageSender" "\0"
  /*  8795 */ "MimeType" "\0"
  /*  8804 */ "MimeTypeArray" "\0"
  /*  8818 */ "MouseEvent" "\0"
  /*  8829 */ "MouseScrollEvent" "\0"
  /*  8846 */ "MozCanvasPrintState" "\0"
  /*  8866 */ "MozDocumentMatcher" "\0"
  /*  8885 */ "MozDocumentObserver" "\0"
  /*  8905 */ "MozQueryInterface" "\0"
  /*  8923 */ "MozSharedMap" "\0"
  /*  8936 */ "MozSharedMap Iterator" "\0"
  /*  8958 */ "MozSharedMapChangeEvent" "\0"
  /*  8982 */ "MozStorageAsyncStatementParams" "\0"
  /*  9013 */ "MozStorageStatementParams" "\0"
  /*  9039 */ "MozStorageStatementRow" "\0"
  /*  9062 */ "MozWritableSharedMap" "\0"
  /*  9083 */ "MutationEvent" "\0"
  /*  9097 */ "MutationObserver" "\0"
  /*  9114 */ "MutationRecord" "\0"
  /*  9129 */ "NamedNodeMap" "\0"
  /*  9142 */ "NavigateEvent" "\0"
  /*  9156 */ "Navigation" "\0"
  /*  9167 */ "NavigationActivation" "\0"
  /*  9188 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9222 */ "NavigationDestination" "\0"
  /*  9244 */ "NavigationHistoryEntry" "\0"
  /*  9267 */ "NavigationPreloadManager" "\0"
  /*  9292 */ "NavigationTransition" "\0"
  /*  9313 */ "Navigator" "\0"
  /*  9323 */ "NavigatorLogin" "\0"
  /*  9338 */ "NetworkInformation" "\0"
  /*  9357 */ "Node" "\0"
  /*  9362 */ "NodeFilter" "\0"
  /*  9373 */ "NodeIterator" "\0"
  /*  9386 */ "NodeList" "\0"
  /*  9395 */ "Notification" "\0"
  /*  9408 */ "NotificationEvent" "\0"
  /*  9426 */ "NotifyPaintEvent" "\0"
  /*  9443 */ "OES_draw_buffers_indexed" "\0"
  /*  9468 */ "OES_element_index_uint" "\0"
  /*  9491 */ "OES_fbo_render_mipmap" "\0"
  /*  9513 */ "OES_standard_derivatives" "\0"
  /*  9538 */ "OES_texture_float" "\0"
  /*  9556 */ "OES_texture_float_linear" "\0"
  /*  9581 */ "OES_texture_half_float" "\0"
  /*  9604 */ "OES_texture_half_float_linear" "\0"
  /*  9634 */ "OES_vertex_array_object" "\0"
  /*  9658 */ "OVR_multiview2" "\0"
  /*  9673 */ "OfflineAudioCompletionEvent" "\0"
  /*  9701 */ "OfflineAudioContext" "\0"
  /*  9721 */ "OffscreenCanvas" "\0"
  /*  9737 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9771 */ "Option" "\0"
  /*  9778 */ "OscillatorNode" "\0"
  /*  9793 */ "PageTransitionEvent" "\0"
  /*  9813 */ "PaintRequest" "\0"
  /*  9826 */ "PaintRequestList" "\0"
  /*  9843 */ "PaintWorkletGlobalScope" "\0"
  /*  9867 */ "PannerNode" "\0"
  /*  9878 */ "ParentProcessMessageManager" "\0"
  /*  9906 */ "Path2D" "\0"
  /*  9913 */ "PathUtils" "\0"
  /*  9923 */ "PaymentAddress" "\0"
  /*  9938 */ "PaymentMethodChangeEvent" "\0"
  /*  9963 */ "PaymentRequest" "\0"
  /*  9978 */ "PaymentRequestUpdateEvent" "\0"
  /* 10004 */ "PaymentResponse" "\0"
  /* 10020 */ "Performance" "\0"
  /* 10032 */ "PerformanceEntry" "\0"
  /* 10049 */ "PerformanceEntryEvent" "\0"
  /* 10071 */ "PerformanceEventTiming" "\0"
  /* 10094 */ "PerformanceMark" "\0"
  /* 10110 */ "PerformanceMeasure" "\0"
  /* 10129 */ "PerformanceNavigation" "\0"
  /* 10151 */ "PerformanceNavigationTiming" "\0"
  /* 10179 */ "PerformanceObserver" "\0"
  /* 10199 */ "PerformanceObserverEntryList" "\0"
  /* 10228 */ "PerformancePaintTiming" "\0"
  /* 10251 */ "PerformanceResourceTiming" "\0"
  /* 10277 */ "PerformanceServerTiming" "\0"
  /* 10301 */ "PerformanceTiming" "\0"
  /* 10319 */ "PeriodicWave" "\0"
  /* 10332 */ "PermissionStatus" "\0"
  /* 10349 */ "Permissions" "\0"
  /* 10361 */ "PlacesBookmark" "\0"
  /* 10376 */ "PlacesBookmarkAddition" "\0"
  /* 10399 */ "PlacesBookmarkChanged" "\0"
  /* 10421 */ "PlacesBookmarkGuid" "\0"
  /* 10440 */ "PlacesBookmarkKeyword" "\0"
  /* 10462 */ "PlacesBookmarkMoved" "\0"
  /* 10482 */ "PlacesBookmarkRemoved" "\0"
  /* 10504 */ "PlacesBookmarkTags" "\0"
  /* 10523 */ "PlacesBookmarkTime" "\0"
  /* 10542 */ "PlacesBookmarkTitle" "\0"
  /* 10562 */ "PlacesBookmarkUrl" "\0"
  /* 10580 */ "PlacesEvent" "\0"
  /* 10592 */ "PlacesEventCounts" "\0"
  /* 10610 */ "PlacesFavicon" "\0"
  /* 10624 */ "PlacesHistoryCleared" "\0"
  /* 10645 */ "PlacesObservers" "\0"
  /* 10661 */ "PlacesPurgeCaches" "\0"
  /* 10679 */ "PlacesRanking" "\0"
  /* 10693 */ "PlacesVisit" "\0"
  /* 10705 */ "PlacesVisitRemoved" "\0"
  /* 10724 */ "PlacesVisitTitle" "\0"
  /* 10741 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10767 */ "Plugin" "\0"
  /* 10774 */ "PluginArray" "\0"
  /* 10786 */ "PluginCrashedEvent" "\0"
  /* 10805 */ "PointerEvent" "\0"
  /* 10818 */ "PopStateEvent" "\0"
  /* 10832 */ "PopupBlockedEvent" "\0"
  /* 10850 */ "PopupPositionedEvent" "\0"
  /* 10871 */ "PositionStateEvent" "\0"
  /* 10890 */ "PrecompiledScript" "\0"
  /* 10908 */ "PrivateAttribution" "\0"
  /* 10927 */ "ProcessMessageManager" "\0"
  /* 10949 */ "ProcessingInstruction" "\0"
  /* 10971 */ "ProgressEvent" "\0"
  /* 10985 */ "PromiseDebugging" "\0"
  /* 11002 */ "PromiseNativeHandler" "\0"
  /* 11023 */ "PromiseRejectionEvent" "\0"
  /* 11045 */ "PublicKeyCredential" "\0"
  /* 11065 */ "PushEvent" "\0"
  /* 11075 */ "PushManager" "\0"
  /* 11087 */ "PushManagerImpl" "\0"
  /* 11103 */ "PushMessageData" "\0"
  /* 11119 */ "PushSubscription" "\0"
  /* 11136 */ "PushSubscriptionChangeEvent" "\0"
  /* 11164 */ "PushSubscriptionOptions" "\0"
  /* 11188 */ "RadioNodeList" "\0"
  /* 11202 */ "Range" "\0"
  /* 11208 */ "ReadableByteStreamController" "\0"
  /* 11237 */ "ReadableStream" "\0"
  /* 11252 */ "ReadableStream AsyncIterator" "\0"
  /* 11281 */ "ReadableStreamBYOBReader" "\0"
  /* 11306 */ "ReadableStreamBYOBRequest" "\0"
  /* 11332 */ "ReadableStreamDefaultController" "\0"
  /* 11364 */ "ReadableStreamDefaultReader" "\0"
  /* 11392 */ "Report" "\0"
  /* 11399 */ "ReportBody" "\0"
  /* 11410 */ "ReportingObserver" "\0"
  /* 11428 */ "Request" "\0"
  /* 11436 */ "ResizeObserver" "\0"
  /* 11451 */ "ResizeObserverEntry" "\0"
  /* 11471 */ "ResizeObserverSize" "\0"
  /* 11490 */ "Response" "\0"
  /* 11499 */ "SVGAElement" "\0"
  /* 11511 */ "SVGAngle" "\0"
  /* 11520 */ "SVGAnimateElement" "\0"
  /* 11538 */ "SVGAnimateMotionElement" "\0"
  /* 11562 */ "SVGAnimateTransformElement" "\0"
  /* 11589 */ "SVGAnimatedAngle" "\0"
  /* 11606 */ "SVGAnimatedBoolean" "\0"
  /* 11625 */ "SVGAnimatedEnumeration" "\0"
  /* 11648 */ "SVGAnimatedInteger" "\0"
  /* 11667 */ "SVGAnimatedLength" "\0"
  /* 11685 */ "SVGAnimatedLengthList" "\0"
  /* 11707 */ "SVGAnimatedNumber" "\0"
  /* 11725 */ "SVGAnimatedNumberList" "\0"
  /* 11747 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11778 */ "SVGAnimatedRect" "\0"
  /* 11794 */ "SVGAnimatedString" "\0"
  /* 11812 */ "SVGAnimatedTransformList" "\0"
  /* 11837 */ "SVGAnimationElement" "\0"
  /* 11857 */ "SVGCircleElement" "\0"
  /* 11874 */ "SVGClipPathElement" "\0"
  /* 11893 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11929 */ "SVGDefsElement" "\0"
  /* 11944 */ "SVGDescElement" "\0"
  /* 11959 */ "SVGElement" "\0"
  /* 11970 */ "SVGEllipseElement" "\0"
  /* 11988 */ "SVGFEBlendElement" "\0"
  /* 12006 */ "SVGFEColorMatrixElement" "\0"
  /* 12030 */ "SVGFEComponentTransferElement" "\0"
  /* 12060 */ "SVGFECompositeElement" "\0"
  /* 12082 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12109 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12137 */ "SVGFEDisplacementMapElement" "\0"
  /* 12165 */ "SVGFEDistantLightElement" "\0"
  /* 12190 */ "SVGFEDropShadowElement" "\0"
  /* 12213 */ "SVGFEFloodElement" "\0"
  /* 12231 */ "SVGFEFuncAElement" "\0"
  /* 12249 */ "SVGFEFuncBElement" "\0"
  /* 12267 */ "SVGFEFuncGElement" "\0"
  /* 12285 */ "SVGFEFuncRElement" "\0"
  /* 12303 */ "SVGFEGaussianBlurElement" "\0"
  /* 12328 */ "SVGFEImageElement" "\0"
  /* 12346 */ "SVGFEMergeElement" "\0"
  /* 12364 */ "SVGFEMergeNodeElement" "\0"
  /* 12386 */ "SVGFEMorphologyElement" "\0"
  /* 12409 */ "SVGFEOffsetElement" "\0"
  /* 12428 */ "SVGFEPointLightElement" "\0"
  /* 12451 */ "SVGFESpecularLightingElement" "\0"
  /* 12480 */ "SVGFESpotLightElement" "\0"
  /* 12502 */ "SVGFETileElement" "\0"
  /* 12519 */ "SVGFETurbulenceElement" "\0"
  /* 12542 */ "SVGFilterElement" "\0"
  /* 12559 */ "SVGForeignObjectElement" "\0"
  /* 12583 */ "SVGGElement" "\0"
  /* 12595 */ "SVGGeometryElement" "\0"
  /* 12614 */ "SVGGradientElement" "\0"
  /* 12633 */ "SVGGraphicsElement" "\0"
  /* 12652 */ "SVGImageElement" "\0"
  /* 12668 */ "SVGLength" "\0"
  /* 12678 */ "SVGLengthList" "\0"
  /* 12692 */ "SVGLineElement" "\0"
  /* 12707 */ "SVGLinearGradientElement" "\0"
  /* 12732 */ "SVGMPathElement" "\0"
  /* 12748 */ "SVGMarkerElement" "\0"
  /* 12765 */ "SVGMaskElement" "\0"
  /* 12780 */ "SVGMatrix" "\0"
  /* 12790 */ "SVGMetadataElement" "\0"
  /* 12809 */ "SVGNumber" "\0"
  /* 12819 */ "SVGNumberList" "\0"
  /* 12833 */ "SVGPathElement" "\0"
  /* 12848 */ "SVGPathSegment" "\0"
  /* 12863 */ "SVGPatternElement" "\0"
  /* 12881 */ "SVGPoint" "\0"
  /* 12890 */ "SVGPointList" "\0"
  /* 12903 */ "SVGPolygonElement" "\0"
  /* 12921 */ "SVGPolylineElement" "\0"
  /* 12940 */ "SVGPreserveAspectRatio" "\0"
  /* 12963 */ "SVGRadialGradientElement" "\0"
  /* 12988 */ "SVGRect" "\0"
  /* 12996 */ "SVGRectElement" "\0"
  /* 13011 */ "SVGSVGElement" "\0"
  /* 13025 */ "SVGScriptElement" "\0"
  /* 13042 */ "SVGSetElement" "\0"
  /* 13056 */ "SVGStopElement" "\0"
  /* 13071 */ "SVGStringList" "\0"
  /* 13085 */ "SVGStyleElement" "\0"
  /* 13101 */ "SVGSwitchElement" "\0"
  /* 13118 */ "SVGSymbolElement" "\0"
  /* 13135 */ "SVGTSpanElement" "\0"
  /* 13151 */ "SVGTextContentElement" "\0"
  /* 13173 */ "SVGTextElement" "\0"
  /* 13188 */ "SVGTextPathElement" "\0"
  /* 13207 */ "SVGTextPositioningElement" "\0"
  /* 13233 */ "SVGTitleElement" "\0"
  /* 13249 */ "SVGTransform" "\0"
  /* 13262 */ "SVGTransformList" "\0"
  /* 13279 */ "SVGUnitTypes" "\0"
  /* 13292 */ "SVGUseElement" "\0"
  /* 13306 */ "SVGViewElement" "\0"
  /* 13321 */ "Sanitizer" "\0"
  /* 13331 */ "Scheduler" "\0"
  /* 13341 */ "Screen" "\0"
  /* 13348 */ "ScreenLuminance" "\0"
  /* 13364 */ "ScreenOrientation" "\0"
  /* 13382 */ "ScriptProcessorNode" "\0"
  /* 13402 */ "ScrollAreaEvent" "\0"
  /* 13418 */ "SecurityPolicyViolationEvent" "\0"
  /* 13447 */ "Selection" "\0"
  /* 13457 */ "ServiceWorker" "\0"
  /* 13471 */ "ServiceWorkerContainer" "\0"
  /* 13494 */ "ServiceWorkerGlobalScope" "\0"
  /* 13519 */ "ServiceWorkerRegistration" "\0"
  /* 13545 */ "SessionStoreFormData" "\0"
  /* 13566 */ "SessionStoreScrollData" "\0"
  /* 13589 */ "SessionStoreUtils" "\0"
  /* 13607 */ "ShadowRealmGlobalScope" "\0"
  /* 13630 */ "ShadowRoot" "\0"
  /* 13641 */ "SharedWorker" "\0"
  /* 13654 */ "SharedWorkerGlobalScope" "\0"
  /* 13678 */ "SimpleGestureEvent" "\0"
  /* 13697 */ "SourceBuffer" "\0"
  /* 13710 */ "SourceBufferList" "\0"
  /* 13727 */ "SpeechGrammar" "\0"
  /* 13741 */ "SpeechGrammarList" "\0"
  /* 13759 */ "SpeechRecognition" "\0"
  /* 13777 */ "SpeechRecognitionAlternative" "\0"
  /* 13806 */ "SpeechRecognitionError" "\0"
  /* 13829 */ "SpeechRecognitionEvent" "\0"
  /* 13852 */ "SpeechRecognitionResult" "\0"
  /* 13876 */ "SpeechRecognitionResultList" "\0"
  /* 13904 */ "SpeechSynthesis" "\0"
  /* 13920 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13946 */ "SpeechSynthesisEvent" "\0"
  /* 13967 */ "SpeechSynthesisUtterance" "\0"
  /* 13992 */ "SpeechSynthesisVoice" "\0"
  /* 14013 */ "StaticRange" "\0"
  /* 14025 */ "StereoPannerNode" "\0"
  /* 14042 */ "Storage" "\0"
  /* 14050 */ "StorageEvent" "\0"
  /* 14063 */ "StorageManager" "\0"
  /* 14078 */ "StreamFilter" "\0"
  /* 14091 */ "StreamFilterDataEvent" "\0"
  /* 14113 */ "StructuredCloneHolder" "\0"
  /* 14135 */ "StructuredCloneTester" "\0"
  /* 14157 */ "StyleSheet" "\0"
  /* 14168 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14205 */ "StyleSheetList" "\0"
  /* 14220 */ "StyleSheetRemovedEvent" "\0"
  /* 14243 */ "SubmitEvent" "\0"
  /* 14255 */ "SubtleCrypto" "\0"
  /* 14268 */ "SyncMessageSender" "\0"
  /* 14286 */ "SyncReadFile" "\0"
  /* 14299 */ "TCPServerSocket" "\0"
  /* 14315 */ "TCPServerSocketEvent" "\0"
  /* 14336 */ "TCPSocket" "\0"
  /* 14346 */ "TCPSocketErrorEvent" "\0"
  /* 14366 */ "TCPSocketEvent" "\0"
  /* 14381 */ "TaskController" "\0"
  /* 14396 */ "TaskPriorityChangeEvent" "\0"
  /* 14420 */ "TaskSignal" "\0"
  /* 14431 */ "TestUtils" "\0"
  /* 14441 */ "TestingDeprecatedInterface" "\0"
  /* 14468 */ "Text" "\0"
  /* 14473 */ "TextClause" "\0"
  /* 14484 */ "TextDecoder" "\0"
  /* 14496 */ "TextDecoderStream" "\0"
  /* 14514 */ "TextEncoder" "\0"
  /* 14526 */ "TextEncoderStream" "\0"
  /* 14544 */ "TextEvent" "\0"
  /* 14554 */ "TextMetrics" "\0"
  /* 14566 */ "TextTrack" "\0"
  /* 14576 */ "TextTrackCue" "\0"
  /* 14589 */ "TextTrackCueList" "\0"
  /* 14606 */ "TextTrackList" "\0"
  /* 14620 */ "TimeEvent" "\0"
  /* 14630 */ "TimeRanges" "\0"
  /* 14641 */ "ToggleEvent" "\0"
  /* 14653 */ "Touch" "\0"
  /* 14659 */ "TouchEvent" "\0"
  /* 14670 */ "TouchList" "\0"
  /* 14680 */ "TrackEvent" "\0"
  /* 14691 */ "TransformStream" "\0"
  /* 14707 */ "TransformStreamDefaultController" "\0"
  /* 14740 */ "TransitionEvent" "\0"
  /* 14756 */ "TreeColumn" "\0"
  /* 14767 */ "TreeColumns" "\0"
  /* 14779 */ "TreeContentView" "\0"
  /* 14795 */ "TreeWalker" "\0"
  /* 14806 */ "TrustedHTML" "\0"
  /* 14818 */ "TrustedScript" "\0"
  /* 14832 */ "TrustedScriptURL" "\0"
  /* 14849 */ "TrustedTypePolicy" "\0"
  /* 14867 */ "TrustedTypePolicyFactory" "\0"
  /* 14892 */ "UDPMessageEvent" "\0"
  /* 14908 */ "UDPSocket" "\0"
  /* 14918 */ "UIEvent" "\0"
  /* 14926 */ "URL" "\0"
  /* 14930 */ "URLSearchParams" "\0"
  /* 14946 */ "URLSearchParams Iterator" "\0"
  /* 14971 */ "UniFFIPointer" "\0"
  /* 14985 */ "UniFFIScaffolding" "\0"
  /* 15003 */ "UserActivation" "\0"
  /* 15018 */ "UserInteraction" "\0"
  /* 15034 */ "UserProximityEvent" "\0"
  /* 15053 */ "VRDisplay" "\0"
  /* 15063 */ "VRDisplayCapabilities" "\0"
  /* 15085 */ "VRDisplayEvent" "\0"
  /* 15100 */ "VREyeParameters" "\0"
  /* 15116 */ "VRFieldOfView" "\0"
  /* 15130 */ "VRFrameData" "\0"
  /* 15142 */ "VRMockController" "\0"
  /* 15159 */ "VRMockDisplay" "\0"
  /* 15173 */ "VRPose" "\0"
  /* 15180 */ "VRServiceTest" "\0"
  /* 15194 */ "VRStageParameters" "\0"
  /* 15212 */ "VTTCue" "\0"
  /* 15219 */ "VTTRegion" "\0"
  /* 15229 */ "ValidityState" "\0"
  /* 15243 */ "VideoColorSpace" "\0"
  /* 15259 */ "VideoDecoder" "\0"
  /* 15272 */ "VideoEncoder" "\0"
  /* 15285 */ "VideoFrame" "\0"
  /* 15296 */ "VideoPlaybackQuality" "\0"
  /* 15317 */ "VideoTrack" "\0"
  /* 15328 */ "VideoTrackList" "\0"
  /* 15343 */ "ViewTransition" "\0"
  /* 15358 */ "VisualViewport" "\0"
  /* 15373 */ "WEBGL_color_buffer_float" "\0"
  /* 15398 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15428 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15457 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15487 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15518 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15548 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15583 */ "WEBGL_debug_renderer_info" "\0"
  /* 15609 */ "WEBGL_debug_shaders" "\0"
  /* 15629 */ "WEBGL_depth_texture" "\0"
  /* 15649 */ "WEBGL_draw_buffers" "\0"
  /* 15668 */ "WEBGL_explicit_present" "\0"
  /* 15691 */ "WEBGL_lose_context" "\0"
  /* 15710 */ "WEBGL_provoking_vertex" "\0"
  /* 15733 */ "WGSLLanguageFeatures" "\0"
  /* 15754 */ "WakeLock" "\0"
  /* 15763 */ "WakeLockSentinel" "\0"
  /* 15780 */ "WaveShaperNode" "\0"
  /* 15795 */ "WebExtensionContentScript" "\0"
  /* 15821 */ "WebExtensionPolicy" "\0"
  /* 15840 */ "WebGL2RenderingContext" "\0"
  /* 15863 */ "WebGLActiveInfo" "\0"
  /* 15879 */ "WebGLBuffer" "\0"
  /* 15891 */ "WebGLContextEvent" "\0"
  /* 15909 */ "WebGLFramebuffer" "\0"
  /* 15926 */ "WebGLProgram" "\0"
  /* 15939 */ "WebGLQuery" "\0"
  /* 15950 */ "WebGLRenderbuffer" "\0"
  /* 15968 */ "WebGLRenderingContext" "\0"
  /* 15990 */ "WebGLSampler" "\0"
  /* 16003 */ "WebGLShader" "\0"
  /* 16015 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16042 */ "WebGLSync" "\0"
  /* 16052 */ "WebGLTexture" "\0"
  /* 16065 */ "WebGLTransformFeedback" "\0"
  /* 16088 */ "WebGLUniformLocation" "\0"
  /* 16109 */ "WebGLVertexArrayObject" "\0"
  /* 16132 */ "WebKitCSSMatrix" "\0"
  /* 16148 */ "WebSocket" "\0"
  /* 16158 */ "WebTransport" "\0"
  /* 16171 */ "WebTransportBidirectionalStream" "\0"
  /* 16203 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16236 */ "WebTransportError" "\0"
  /* 16254 */ "WebTransportReceiveStream" "\0"
  /* 16280 */ "WebTransportSendStream" "\0"
  /* 16303 */ "WheelEvent" "\0"
  /* 16314 */ "Window" "\0"
  /* 16321 */ "WindowClient" "\0"
  /* 16334 */ "WindowContext" "\0"
  /* 16348 */ "WindowGlobalChild" "\0"
  /* 16366 */ "WindowGlobalParent" "\0"
  /* 16385 */ "WindowRoot" "\0"
  /* 16396 */ "Worker" "\0"
  /* 16403 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16429 */ "WorkerGlobalScope" "\0"
  /* 16447 */ "WorkerLocation" "\0"
  /* 16462 */ "WorkerNavigator" "\0"
  /* 16478 */ "WorkerTestUtils" "\0"
  /* 16494 */ "Worklet" "\0"
  /* 16502 */ "WorkletGlobalScope" "\0"
  /* 16521 */ "WritableStream" "\0"
  /* 16536 */ "WritableStreamDefaultController" "\0"
  /* 16568 */ "WritableStreamDefaultWriter" "\0"
  /* 16596 */ "XMLDocument" "\0"
  /* 16608 */ "XMLHttpRequest" "\0"
  /* 16623 */ "XMLHttpRequestEventTarget" "\0"
  /* 16649 */ "XMLHttpRequestUpload" "\0"
  /* 16670 */ "XMLSerializer" "\0"
  /* 16684 */ "XPathEvaluator" "\0"
  /* 16699 */ "XPathExpression" "\0"
  /* 16715 */ "XPathResult" "\0"
  /* 16727 */ "XRBoundedReferenceSpace" "\0"
  /* 16751 */ "XRFrame" "\0"
  /* 16759 */ "XRInputSource" "\0"
  /* 16773 */ "XRInputSourceArray" "\0"
  /* 16792 */ "XRInputSourceEvent" "\0"
  /* 16811 */ "XRInputSourcesChangeEvent" "\0"
  /* 16837 */ "XRPose" "\0"
  /* 16844 */ "XRReferenceSpace" "\0"
  /* 16861 */ "XRReferenceSpaceEvent" "\0"
  /* 16883 */ "XRRenderState" "\0"
  /* 16897 */ "XRRigidTransform" "\0"
  /* 16914 */ "XRSession" "\0"
  /* 16924 */ "XRSessionEvent" "\0"
  /* 16939 */ "XRSpace" "\0"
  /* 16947 */ "XRSystem" "\0"
  /* 16956 */ "XRView" "\0"
  /* 16963 */ "XRViewerPose" "\0"
  /* 16976 */ "XRViewport" "\0"
  /* 16987 */ "XRWebGLLayer" "\0"
  /* 17000 */ "XSLTProcessor" "\0"
  /* 17014 */ "XULCommandEvent" "\0"
  /* 17030 */ "XULElement" "\0"
  /* 17041 */ "XULFrameElement" "\0"
  /* 17057 */ "XULMenuElement" "\0"
  /* 17072 */ "XULPopupElement" "\0"
  /* 17088 */ "XULResizerElement" "\0"
  /* 17106 */ "XULTextElement" "\0"
  /* 17121 */ "XULTreeElement" "\0"
  /* 17136 */ "console" "\0"
  /* 17144 */ "webkitSpeechGrammar" "\0"
  /* 17164 */ "webkitSpeechGrammarList" "\0"
  /* 17188 */ "webkitSpeechRecognition" "\0"
  /* 17212 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

